package io.renren.modules.app.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.dao.JkSelectDao;
import io.renren.modules.app.entity.FhxxSelectEntity;
import io.renren.modules.app.entity.JkSelectEntity;
import io.renren.modules.app.service.JkSelectService;

@Service("jkSelectService")
public class JkSelectServiceImpl extends ServiceImpl<JkSelectDao, JkSelectEntity> implements JkSelectService {

	/**
	 * 缴款查询
	 * * @param pageNum
	 * @param pageSize
	 * @param map
	 * @return
	 */
	@Override
	public PageInfo<JkSelectEntity> selectjkByPage(Integer pageNum, Integer pageSize, JkSelectEntity jkSelectEntity) {
		PageHelper.startPage(pageNum, pageSize);
		List<JkSelectEntity> list = new ArrayList<JkSelectEntity>();
		if (jkSelectEntity.getNum().equals("1")) {
			list = baseMapper.selectjk1(jkSelectEntity);
		}else if (jkSelectEntity.getNum().equals("2")) {
			list = baseMapper.selectjk2(jkSelectEntity);
		}
		PageInfo<JkSelectEntity> pageInfo = new PageInfo<JkSelectEntity>(list);
		return pageInfo;
	}

}
